%global pypi_name proglog

Name:           python-%{pypi_name}
Version:        0.1.9
Release:        %mkrel 7
Group:          Development/Python
Summary:        Log and progress bar manager for console, notebooks, web
License:        MIT
URL:            https://github.com/Edinburgh-Genome-Foundry/Proglog
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.

%package -n python3-%{pypi_name}
Summary:        Log and progress bar manager for console, notebooks, web
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Proglog is a progress logging system for Python. It allows to build
complex libraries while giving the user control on the management of
logs, callbacks and progress bars.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files proglog

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENCE.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.9-7.mga10
+ Revision: 2242276
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.1.9-6.mga10
+ Revision: 2159853
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 0.1.9-5.mga10
+ Revision: 2035912
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1.9-4.mga9
+ Revision: 1823450
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.1.9-3.mga9
+ Revision: 1783301
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.9-2.mga9
+ Revision: 1707357
- rebuild for python 3.9

* Fri Sep 25 2020 daviddavid <daviddavid> 0.1.9-1.mga8
+ Revision: 1630022
- initial package python-proglog

